TransformerHandler (Java SE 12 & JDK 12 )
Keywords: javax.xml.transform.sax.TransformerHandler interface

Module java.xml
Package javax.xml.transform.sax

## Interface TransformerHandler

- All Superinterfaces:
    `ContentHandler`, `DTDHandler`, `LexicalHandler`

      public interface TransformerHandler
      extends ContentHandler, LexicalHandler, DTDHandler

  A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.
  Since:
    1.4

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSystemId()` | Get the base ID (URI or system ID) from where relative URLs will be resolved.
    `Transformer` | `getTransformer()` | Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.
    `void` | `setResult​(Result result)` | Set the `Result` associated with this `TransformerHandler` to be used for the transformation.
    `void` | `setSystemId​(String systemID)` | Set the base ID (URI or system ID) from where relative URLs will be resolved.

    - ### Methods declared in interface org.xml.sax.ContentHandler

      `characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

    - ### Methods declared in interface org.xml.sax.DTDHandler

      `notationDecl, unparsedEntityDecl`

    - ### Methods declared in interface org.xml.sax.ext.LexicalHandler

      `comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

- - ### Method Detail

    - #### setResult

          void setResult​(Result result)
                  throws IllegalArgumentException

      Set the `Result` associated with this `TransformerHandler` to be used for the transformation.

      Parameters:
        `result` - A `Result` instance, should not be `null`.
      Throws:
        `IllegalArgumentException` - if result is invalid for some reason.

    - #### setSystemId

          void setSystemId​(String systemID)

      Set the base ID (URI or system ID) from where relative URLs will be resolved.
      Parameters:
        `systemID` - Base URI for the source tree.

    - #### getSystemId

          String getSystemId()

      Get the base ID (URI or system ID) from where relative URLs will be resolved.
      Returns:
        The systemID that was set with `setSystemId(java.lang.String)`.

    - #### getTransformer

          Transformer getTransformer()

      Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.

      Returns:
        `Transformer` associated with this `TransformerHandler`.